package com.ruoyi.xq.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.xq.domain.UserCodeGen;
import com.ruoyi.xq.mapper.UserCodeGenMapper;
import com.ruoyi.xq.service.UserCodeGenService;
import org.springframework.stereotype.Service;

/**
 * idService业务层处理
 *
 * @author 77
 * @date 2023-12-21
 */
@Service
public class UserCodeGenServiceImpl extends ServiceImpl<UserCodeGenMapper, UserCodeGen> implements UserCodeGenService {

    @Override
    public String getCodeGen(){
        UserCodeGen gen = new UserCodeGen();
        this.save(gen);
        return gen.getId()+"";
    }
}
